package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * PoeDeviceDetail
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class PoeDeviceDetail   {
  @JsonProperty("type")
  private String type;

  @JsonProperty("mac")
  private String mac;

  @JsonProperty("name")
  private String name;

  @JsonProperty("site")
  private String site;

  @JsonProperty("model")
  private String model;

  @JsonProperty("modelVersion")
  private String modelVersion;

  @JsonProperty("hwVersion")
  private String hwVersion;

  @JsonProperty("firmwareVersion")
  private String firmwareVersion;

  @JsonProperty("status")
  private Integer status;

  @JsonProperty("sn")
  private String sn;

  @JsonProperty("combinedGateway")
  private Boolean combinedGateway;

  @JsonProperty("poePort")
  private DevicePoePorts poePort;

  public PoeDeviceDetail type(String type) {
    this.type = type;
    return this;
  }

  /**
   * Device type. \"gateway\", \"switch\"
   * @return type
  */
  @ApiModelProperty(value = "Device type. \"gateway\", \"switch\"")


  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public PoeDeviceDetail mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Device MAC.
   * @return mac
  */
  @ApiModelProperty(value = "Device MAC.")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public PoeDeviceDetail name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Device name.
   * @return name
  */
  @ApiModelProperty(value = "Device name.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public PoeDeviceDetail site(String site) {
    this.site = site;
    return this;
  }

  /**
   * Site ID
   * @return site
  */
  @ApiModelProperty(value = "Site ID")


  public String getSite() {
    return site;
  }

  public void setSite(String site) {
    this.site = site;
  }

  public PoeDeviceDetail model(String model) {
    this.model = model;
    return this;
  }

  /**
   * Device model.
   * @return model
  */
  @ApiModelProperty(value = "Device model.")


  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public PoeDeviceDetail modelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
    return this;
  }

  /**
   * Device model version.
   * @return modelVersion
  */
  @ApiModelProperty(value = "Device model version.")


  public String getModelVersion() {
    return modelVersion;
  }

  public void setModelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
  }

  public PoeDeviceDetail hwVersion(String hwVersion) {
    this.hwVersion = hwVersion;
    return this;
  }

  /**
   * Device hardware version.
   * @return hwVersion
  */
  @ApiModelProperty(value = "Device hardware version.")


  public String getHwVersion() {
    return hwVersion;
  }

  public void setHwVersion(String hwVersion) {
    this.hwVersion = hwVersion;
  }

  public PoeDeviceDetail firmwareVersion(String firmwareVersion) {
    this.firmwareVersion = firmwareVersion;
    return this;
  }

  /**
   * Device firmware version.
   * @return firmwareVersion
  */
  @ApiModelProperty(value = "Device firmware version.")


  public String getFirmwareVersion() {
    return firmwareVersion;
  }

  public void setFirmwareVersion(String firmwareVersion) {
    this.firmwareVersion = firmwareVersion;
  }

  public PoeDeviceDetail status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * Device status.
   * @return status
  */
  @ApiModelProperty(value = "Device status.")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }

  public PoeDeviceDetail sn(String sn) {
    this.sn = sn;
    return this;
  }

  /**
   * Device SN code.
   * @return sn
  */
  @ApiModelProperty(value = "Device SN code.")


  public String getSn() {
    return sn;
  }

  public void setSn(String sn) {
    this.sn = sn;
  }

  public PoeDeviceDetail combinedGateway(Boolean combinedGateway) {
    this.combinedGateway = combinedGateway;
    return this;
  }

  /**
   * Indicates whether it is a combined-gateway.
   * @return combinedGateway
  */
  @ApiModelProperty(value = "Indicates whether it is a combined-gateway.")


  public Boolean getCombinedGateway() {
    return combinedGateway;
  }

  public void setCombinedGateway(Boolean combinedGateway) {
    this.combinedGateway = combinedGateway;
  }

  public PoeDeviceDetail poePort(DevicePoePorts poePort) {
    this.poePort = poePort;
    return this;
  }

  /**
   * Get poePort
   * @return poePort
  */
  @ApiModelProperty(value = "")

  @Valid

  public DevicePoePorts getPoePort() {
    return poePort;
  }

  public void setPoePort(DevicePoePorts poePort) {
    this.poePort = poePort;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PoeDeviceDetail poeDeviceDetail = (PoeDeviceDetail) o;
    return Objects.equals(this.type, poeDeviceDetail.type) &&
        Objects.equals(this.mac, poeDeviceDetail.mac) &&
        Objects.equals(this.name, poeDeviceDetail.name) &&
        Objects.equals(this.site, poeDeviceDetail.site) &&
        Objects.equals(this.model, poeDeviceDetail.model) &&
        Objects.equals(this.modelVersion, poeDeviceDetail.modelVersion) &&
        Objects.equals(this.hwVersion, poeDeviceDetail.hwVersion) &&
        Objects.equals(this.firmwareVersion, poeDeviceDetail.firmwareVersion) &&
        Objects.equals(this.status, poeDeviceDetail.status) &&
        Objects.equals(this.sn, poeDeviceDetail.sn) &&
        Objects.equals(this.combinedGateway, poeDeviceDetail.combinedGateway) &&
        Objects.equals(this.poePort, poeDeviceDetail.poePort);
  }

  @Override
  public int hashCode() {
    return Objects.hash(type, mac, name, site, model, modelVersion, hwVersion, firmwareVersion, status, sn, combinedGateway, poePort);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PoeDeviceDetail {\n");
    
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    site: ").append(toIndentedString(site)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    modelVersion: ").append(toIndentedString(modelVersion)).append("\n");
    sb.append("    hwVersion: ").append(toIndentedString(hwVersion)).append("\n");
    sb.append("    firmwareVersion: ").append(toIndentedString(firmwareVersion)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    sn: ").append(toIndentedString(sn)).append("\n");
    sb.append("    combinedGateway: ").append(toIndentedString(combinedGateway)).append("\n");
    sb.append("    poePort: ").append(toIndentedString(poePort)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

